Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
tesseract::DawgInfo Struct Reference

`#include <dawg.h>`

List of all members.

## Public Member Functions

| DawgInfo ()
| DawgInfo (int i, EDGE_REF r)
bool | operator== (const DawgInfo &other)

## Public Attributes

int | dawg_index
EDGE_REF | ref

## Detailed Description

DawgInfo struct and DawgInfoVector class are used for storing information about the current Dawg search state.

Definition at line 305 of file dawg.h.

## Constructor & Destructor Documentation

tesseract::DawgInfo::DawgInfo | ( |  | ) |

inline

Definition at line 306 of file dawg.h.

: dawg_index(-1), ref(NO_EDGE) {}

tesseract::DawgInfo::DawgInfo | ( | int | i,
|  | EDGE_REF | r
| ) |  |

inline

Definition at line 307 of file dawg.h.

: dawg_index(i), ref(r) {}

## Member Function Documentation

bool tesseract::DawgInfo::operator== | ( | const DawgInfo & | other | ) |

inline

Definition at line 308 of file dawg.h.

{
return (this->dawg_index == other.dawg_index && this->ref == other.ref);
}

## Member Data Documentation

int tesseract::DawgInfo::dawg_index

Definition at line 311 of file dawg.h.

EDGE_REF tesseract::DawgInfo::ref

Definition at line 312 of file dawg.h.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/dict/dawg.h